
QGIS Application - Bug report #4515

Rendering issue with almost cohincident lines

2011-11-12 01:46 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14434

Description

The following WKT has a few rendering problems.

It is a V shaped figure. One element is the full V, the other two are the two wings.

The bottom node is cohincident for the two wings, but it's moved on the left for the full V.

If you zoom in the upper-left corner you clearly see two lines.

If you zoom in the lower corner the line on the left becomes ONE and the one on the right become TWO.

This is with a recent build from master, and specifically commit:be9bdeb

MULTILINESTRING(

(

832709.937 816560.25,

832705.813 816470.25,

832661.937 816561.875

),

(

832705.812 816470.25,

832709.937 816560.25

),

(

832661.938 816561.875,

832705.813 816470.25

))

See also ticket #4515

History

#1 - 2011-11-12 02:20 AM - Sandro Santilli

The actual input shape (was different than I thought)

https://issues.qgis.org/attachments/3542/topotest.png

#2 - 2011-11-12 02:25 AM - Sandro Santilli

- Resolution set to invalid
Now that we know the shape of the input, it turns out this is NOT a bug.

Thanks for listening ;P

#3 - 2011-11-21 01:11 PM - Sandro Santilli

- Status changed from Open to Closed
